org.apache.html.dom

## Class HTMLTableCellElementImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.ParentNode
      - - org.apache.xerces.dom.ElementImpl
        - - org.apache.html.dom.HTMLElementImpl
          - - org.apache.html.dom.HTMLTableCellElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableCellElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLTableCellElementImpl
    extends HTMLElementImpl
    implements org.w3c.dom.html.HTMLTableCellElement

Version:
  $Revision: 1029415 $ $Date: 2010-10-31 13:02:22 -0400 (Sun, 31 Oct 2010) $
Author:
  Assaf Arkin
See Also:
  `HTMLTableCellElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.dom.ElementImpl

`attributes, name`

### Fields inherited from class org.apache.xerces.dom.ParentNode

`firstChild, fNodeListCache, ownerDocument`

### Fields inherited from class org.apache.xerces.dom.ChildNode

`nextSibling, previousSibling`

### Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Fields inherited from interface org.w3c.dom.TypeInfo

`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

### Constructor Summary

Constructors
Constructor and Description
`HTMLTableCellElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAbbr()` Abbreviation for header cells.
`java.lang.String` `getAlign()` Horizontal alignment of data in cell.
`java.lang.String` `getAxis()` Names group of related headers.
`java.lang.String` `getBgColor()` Cell background color.
`int` `getCellIndex()` The index of this cell in the row.
`java.lang.String` `getCh()` Alignment character for cells in a column.
`java.lang.String` `getChOff()` Offset of alignment character.
`int` `getColSpan()` Number of columns spanned by cell.
`java.lang.String` `getHeaders()` List of `id` attribute values for header cells.
`java.lang.String` `getHeight()` Cell height.
`boolean` `getNoWrap()` Suppress word wrapping.
`int` `getRowSpan()` Number of rows spanned by cell.
`java.lang.String` `getScope()` Scope covered by header cells.
`java.lang.String` `getVAlign()` Vertical alignment of data in cell.
`java.lang.String` `getWidth()` Cell width.
`void` `setAbbr(java.lang.String abbr)`
`void` `setAlign(java.lang.String align)`
`void` `setAxis(java.lang.String axis)`
`void` `setBgColor(java.lang.String bgColor)`
`void` `setCellIndex(int cellIndex)`
`void` `setCh(java.lang.String ch)`
`void` `setChOff(java.lang.String chOff)`
`void` `setColSpan(int colspan)`
`void` `setHeaders(java.lang.String headers)`
`void` `setHeight(java.lang.String height)`
`void` `setNoWrap(boolean noWrap)`
`void` `setRowSpan(int rowspan)`
`void` `setScope(java.lang.String scope)`
`void` `setVAlign(java.lang.String vAlign)`
`void` `setWidth(java.lang.String width)`

### Methods inherited from class org.apache.html.dom.HTMLElementImpl

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getContentDocument, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

### Methods inherited from class org.apache.xerces.dom.ParentNode

`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

### Methods inherited from class org.apache.xerces.dom.ChildNode

`getNextSibling, getParentNode, getPreviousSibling`

### Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### HTMLTableCellElementImpl

    public HTMLTableCellElementImpl(HTMLDocumentImpl owner,
                                    java.lang.String name)

Constructor requires owner document.

Parameters:
  `owner` - The owner HTML document

### Method Detail

#### getCellIndex

    public int getCellIndex()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
The index of this cell in the row.

Specified by:
  `getCellIndex` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setCellIndex

    public void setCellIndex(int cellIndex)

Specified by:
  `setCellIndex` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getAbbr

    public java.lang.String getAbbr()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Abbreviation for header cells. See the abbr attribute definition in HTML 4.0.

Specified by:
  `getAbbr` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setAbbr

    public void setAbbr(java.lang.String abbr)

Specified by:
  `setAbbr` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getAlign

    public java.lang.String getAlign()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Horizontal alignment of data in cell. See the align attribute definition in HTML 4.0.

Specified by:
  `getAlign` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setAlign

    public void setAlign(java.lang.String align)

Specified by:
  `setAlign` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getAxis

    public java.lang.String getAxis()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Names group of related headers. See the axis attribute definition in HTML 4.0.

Specified by:
  `getAxis` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setAxis

    public void setAxis(java.lang.String axis)

Specified by:
  `setAxis` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getBgColor

    public java.lang.String getBgColor()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Specified by:
  `getBgColor` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setBgColor

    public void setBgColor(java.lang.String bgColor)

Specified by:
  `setBgColor` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getCh

    public java.lang.String getCh()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

Specified by:
  `getCh` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setCh

    public void setCh(java.lang.String ch)

Specified by:
  `setCh` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getChOff

    public java.lang.String getChOff()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Offset of alignment character. See the charoff attribute definition in HTML 4.0.

Specified by:
  `getChOff` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setChOff

    public void setChOff(java.lang.String chOff)

Specified by:
  `setChOff` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getColSpan

    public int getColSpan()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Number of columns spanned by cell. See the colspan attribute definition in HTML 4.0.

Specified by:
  `getColSpan` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setColSpan

    public void setColSpan(int colspan)

Specified by:
  `setColSpan` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getHeaders

    public java.lang.String getHeaders()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.0.

Specified by:
  `getHeaders` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setHeaders

    public void setHeaders(java.lang.String headers)

Specified by:
  `setHeaders` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getHeight

    public java.lang.String getHeight()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Cell height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Specified by:
  `getHeight` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setHeight

    public void setHeight(java.lang.String height)

Specified by:
  `setHeight` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getNoWrap

    public boolean getNoWrap()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Suppress word wrapping. See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Specified by:
  `getNoWrap` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setNoWrap

    public void setNoWrap(boolean noWrap)

Specified by:
  `setNoWrap` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getRowSpan

    public int getRowSpan()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.0.

Specified by:
  `getRowSpan` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setRowSpan

    public void setRowSpan(int rowspan)

Specified by:
  `setRowSpan` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getScope

    public java.lang.String getScope()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Scope covered by header cells. See the scope attribute definition in HTML 4.0.

Specified by:
  `getScope` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setScope

    public void setScope(java.lang.String scope)

Specified by:
  `setScope` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getVAlign

    public java.lang.String getVAlign()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Vertical alignment of data in cell. See the valign attribute definition in HTML 4.0.

Specified by:
  `getVAlign` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setVAlign

    public void setVAlign(java.lang.String vAlign)

Specified by:
  `setVAlign` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### getWidth

    public java.lang.String getWidth()

Description copied from interface: `org.w3c.dom.html.HTMLTableCellElement`
Cell width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Specified by:
  `getWidth` in interface `org.w3c.dom.html.HTMLTableCellElement`

#### setWidth

    public void setWidth(java.lang.String width)

Specified by:
  `setWidth` in interface `org.w3c.dom.html.HTMLTableCellElement`